"use client";
import { QueryClient, QueryClientProvider } from "@tanstack/react-query";
import { SessionProvider } from "next-auth/react";
import React, { useEffect } from "react";
import { ReactQueryDevtools } from "@tanstack/react-query-devtools";
import { ReactQueryStreamedHydration } from "@tanstack/react-query-next-experimental";
import { FetchProvider } from "./FetchProvider";

const NextAuthProvider = ({ children }) => {
  let queryClient = new QueryClient();
return (
    <>
      <SessionProvider>
        {/* <FetchProvider> */}
          {children}
        {/* </FetchProvider> */}
      </SessionProvider>
    </>
  );
};

export default NextAuthProvider;
